## s6 2.7.2.0

=== debian/changelog ===
s6 (2.7.2.0-2) unstable; urgency=medium

  * Fix typo in copyright.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 07 Sep 2018 10:47:13 +0800

s6 (2.7.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #733915)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 07 Sep 2018 02:05:20 +0800

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure-arch:
	dh_auto_configure -- --dynlibdir=\$${prefix}/lib/$(DEB_BUILD_MULTIARCH) \
		--libdir=\$${prefix}/lib/$(DEB_BUILD_MULTIARCH) \
		--includedir=\$${prefix}/include/$(DEB_BUILD_MULTIARCH) \
		--libexecdir=\$${prefix}/lib/$(DEB_BUILD_MULTIARCH)/s6 \
		--with-sysdeps=/usr/lib/$(DEB_BUILD_MULTIARCH)/skalibs/sysdeps \
		--enable-absolute-paths \
		--enable-shared --disable-allstatic

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/s6
	cp -aT doc debian/tmp/usr/share/doc/s6

## s6 2.7.2.2

=== Makefile ===
#
# This Makefile requires GNU make.
#
# Do not make changes here.
# Use the included .mak files.
#

it: all

make_need := 3.81
ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
endif

CC = $(error Please use ./configure first)

STATIC_LIBS :=
SHARED_LIBS :=
INTERNAL_LIBS :=
EXTRA_TARGETS :=
LIB_DEFS :=

define library_definition
LIB$(firstword $(subst =, ,$(1))) := lib$(lastword $(subst =, ,$(1))).$(if $(DO_ALLSTATIC),a,so).xyzzy
ifdef DO_SHARED
SHARED_LIBS += lib$(lastword $(subst =, ,$(1))).so.xyzzy
endif
ifdef DO_STATIC
STATIC_LIBS += lib$(lastword $(subst =, ,$(1))).a.xyzzy
endif
endef

-include config.mak
include package/targets.mak

$(foreach var,$(LIB_DEFS),$(eval $(call library_definition,$(var))))

include package/deps.mak

version_m := $(basename $(version))
version_M := $(basename $(version_m))
version_l := $(basename $(version_M))
CPPFLAGS_ALL := $(CPPFLAGS_AUTO) $(CPPFLAGS)
CFLAGS_ALL := $(CFLAGS_AUTO) $(CFLAGS)
ifeq ($(strip $(STATIC_LIBS_ARE_PIC)),)
CFLAGS_SHARED := -fPIC
else
CFLAGS_SHARED :=
endif
LDFLAGS_ALL := $(LDFLAGS_AUTO) $(LDFLAGS)
REALCC = $(CROSS_COMPILE)$(CC)
AR := $(CROSS_COMPILE)ar
RANLIB := $(CROSS_COMPILE)ranlib
STRIP := $(CROSS_COMPILE)strip
INSTALL := ./tools/install.sh

ALL_BINS := $(LIBEXEC_TARGETS) $(BIN_TARGETS)
ALL_LIBS := $(SHARED_LIBS) $(STATIC_LIBS) $(INTERNAL_LIBS)
ALL_INCLUDES := $(wildcard src/include/$(package)/*.h)

all: $(ALL_LIBS) $(ALL_BINS) $(ALL_INCLUDES)

clean:
	@exec rm -f $(ALL_LIBS) $(ALL_BINS) $(wildcard src/*/*.o src/*/*.lo) $(EXTRA_TARGETS)

distclean: clean
	@exec rm -f config.mak src/include/$(package)/config.h

tgz: distclean
	@. package/info && \
	rm -rf /tmp/$$package-$$version && \
	cp -a . /tmp/$$package-$$version && \
	cd /tmp && \
	tar -zpcv --owner=0 --group=0 --numeric-owner --exclude=.git* -f /tmp/$$package-$$version.tar.gz $$package-$$version && \
	exec rm -rf /tmp/$$package-$$version

strip: $(ALL_LIBS) $(ALL_BINS)
ifneq ($(strip $(STATIC_LIBS)),)
	exec $(STRIP) -x -R .note -R .comment -R .note.GNU-stack $(STATIC_LIBS)
endif
ifneq ($(strip $(ALL_BINS)$(SHARED_LIBS)),)
	exec $(STRIP) -R .note -R .comment -R .note.GNU-stack $(ALL_BINS) $(SHARED_LIBS)
endif

install: install-dynlib install-libexec install-bin install-lib install-include
install-dynlib: $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(dynlibdir)/lib%.so)
install-libexec: $(LIBEXEC_TARGETS:%=$(DESTDIR)$(libexecdir)/%)
install-bin: $(BIN_TARGETS:%=$(DESTDIR)$(bindir)/%)
install-lib: $(STATIC_LIBS:lib%.a.xyzzy=$(DESTDIR)$(libdir)/lib%.a)
install-include: $(ALL_INCLUDES:src/include/$(package)/%.h=$(DESTDIR)$(includedir)/$(package)/%.h)
install-data: $(ALL_DATA:src/etc/%=$(DESTDIR)$(datadir)/%)

ifneq ($(exthome),)

$(DESTDIR)$(exthome): $(DESTDIR)$(home)
	exec $(INSTALL) -l $(notdir $(home)) $(DESTDIR)$(exthome)

update: $(DESTDIR)$(exthome)

global-links: $(DESTDIR)$(exthome) $(SHARED_LIBS:lib%.so.xyzzy=$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M)) $(BIN_TARGETS:%=$(DESTDIR)$(sproot)/command/%)

$(DESTDIR)$(sproot)/command/%: $(DESTDIR)$(home)/command/%
	exec $(INSTALL) -D -l ..$(subst $(sproot),,$(exthome))/command/$(<F) $@

$(DESTDIR)$(sproot)/library.so/lib%.so.$(version_M): $(DESTDIR)$(dynlibdir)/lib%.so.$(version_M)
	exec $(INSTALL) -D -l ..$(subst $(sproot),,$(exthome))/library.so/$(<F) $@

.PHONY: update global-links

endif

$(DESTDIR)$(datadir)/%: src/etc/%
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(dynlibdir)/lib%.so: lib%.so.xyzzy
	$(INSTALL) -D -m 755 $< $@.$(version) && \
	$(INSTALL) -l $(@F).$(version) $@.$(version_m) && \
	$(INSTALL) -l $(@F).$(version_m) $@.$(version_M) && \
	exec $(INSTALL) -l $(@F).$(version_M) $@

$(DESTDIR)$(libexecdir)/% $(DESTDIR)$(bindir)/%: % package/modes
	exec $(INSTALL) -D -m 600 $< $@
	grep -- ^$(@F) < package/modes | { read name mode owner && \
	if [ x$$owner != x ] ; then chown -- $$owner $@ ; fi && \
	chmod $$mode $@ ; }

$(DESTDIR)$(libdir)/lib%.a: lib%.a.xyzzy
	exec $(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(includedir)/$(package)/%.h: src/include/$(package)/%.h
	exec $(INSTALL) -D -m 644 $< $@

%.o: %.c
	exec $(REALCC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) -c -o $@ $<

%.lo: %.c
	exec $(REALCC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) $(CFLAGS_SHARED) -c -o $@ $<

$(ALL_BINS):
	exec $(REALCC) -o $@ $(CFLAGS_ALL) $(LDFLAGS_ALL) $(LDFLAGS_NOSHARED) $^ $(EXTRA_LIBS) $(LDLIBS)

lib%.a.xyzzy:
	exec $(AR) rc $@ $^
	exec $(RANLIB) $@

lib%.so.xyzzy:
	exec $(REALCC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,$(patsubst lib%.so.xyzzy,lib%.so.$(version_M),$@) $^ $(EXTRA_LIBS) $(LDLIBS)

.PHONY: it all clean distclean tgz strip install install-dynlib install-bin install-lib install-include install-data

.DELETE_ON_ERROR:

=== debian/changelog ===
s6 (2.7.2.2-3) unstable; urgency=medium

  * Add dep8 autopkgtest script

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Feb 2019 23:19:03 +0800

s6 (2.7.2.2-2) unstable; urgency=medium

  * Fix cross build, thanks Helmut Grohne. (Closes: #917870)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Feb 2019 01:11:01 +0800

s6 (2.7.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches applied by upstream.
    - 0002-Fix-s6lockd-helper-program-prefix.patch

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 15 Dec 2018 23:48:09 +0800

=== debian/control ===
Source: s6
Section: admin
Priority: optional
Maintainer: Shengjing Zhu <zhsj@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 11),
Build-Depends-Arch:
 libexecline-dev (>= 2.5.0.1),
 skalibs-dev (>= 2.7.0.0),
Standards-Version: 4.2.1
Homepage: https://skarnet.org/software/s6/
Vcs-Git: https://salsa.debian.org/zhsj/s6.git
Vcs-Browser: https://salsa.debian.org/zhsj/s6

Package: libs6-2.7
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: small and secure supervision software suite (shared library)
 s6 is a small suite of programs for UNIX, designed to allow process
 supervision (a.k.a service supervision), in the line of daemontools and
 runit, as well as various operations on processes and daemons. It is meant
 to be a toolbox for low-level process and service administration, providing
 different sets of independent tools that can be used within or without the
 framework, and that can be assembled together to achieve powerful
 functionality with a very small amount of code.
 .
 This package contains shared libraries.

Package: libs6-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libs6-2.7 (= ${binary:Version}),
 ${misc:Depends},
Description: small and secure supervision software suite (development files)
 s6 is a small suite of programs for UNIX, designed to allow process
 supervision (a.k.a service supervision), in the line of daemontools and
 runit, as well as various operations on processes and daemons. It is meant
 to be a toolbox for low-level process and service administration, providing
 different sets of independent tools that can be used within or without the
 framework, and that can be assembled together to achieve powerful
 functionality with a very small amount of code.
 .
 This package contains static and header files.

Package: s6
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 execline,
Description: small and secure supervision software suite
 s6 is a small suite of programs for UNIX, designed to allow process
 supervision (a.k.a service supervision), in the line of daemontools and
 runit, as well as various operations on processes and daemons. It is meant
 to be a toolbox for low-level process and service administration, providing
 different sets of independent tools that can be used within or without the
 framework, and that can be assembled together to achieve powerful
 functionality with a very small amount of code.

Package: s6-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: small and secure supervision software suite (documentation)
 s6 is a small suite of programs for UNIX, designed to allow process
 supervision (a.k.a service supervision), in the line of daemontools and
 runit, as well as various operations on processes and daemons. It is meant
 to be a toolbox for low-level process and service administration, providing
 different sets of independent tools that can be used within or without the
 framework, and that can be assembled together to achieve powerful
 functionality with a very small amount of code.
 .
 This package contains documentation files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure-arch:
	./tools/gen-deps.sh > package/deps.mak
	dh_auto_configure -- --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH) \
		--libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/s6 \
		--with-sysdeps=/usr/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps \
		--enable-absolute-paths \
		--enable-shared --disable-allstatic

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/s6
	cp -aT doc debian/tmp/usr/share/doc/s6

## s6 2.9.0.1

=== debian/changelog ===
s6 (2.9.0.1-2) unstable; urgency=medium

  * Drop workaround patch for hurd, fixed in hurd 1:0.9.git20191029-1
    See #942558 for more information

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Nov 2019 01:19:07 +0800

s6 (2.9.0.1-1) unstable; urgency=medium

  * New upstream release v2.9.0.1
  * Drop cross compile patch, applied by upstream
  * Add patch as workaround for #942558 on GNU Hurd

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 22 Oct 2019 23:37:51 +0800

s6 (2.9.0.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1 (no changes)
  * Release v2.9.0.0 to sid

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 13 Oct 2019 17:56:53 +0800

s6 (2.9.0.0-1) experimental; urgency=medium

  * New upstream release v2.9.0.0
  * Bump SO version to 2.9
  * debian/control: bump skalibs requirement to 2.9.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Sep 2019 00:38:21 +0800

s6 (2.8.0.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 28 Aug 2019 22:39:42 +0800

s6 (2.8.0.1-1) experimental; urgency=medium

  * New upstream release v2.8.0.1
  * Bump debhelper to 12
  * Update Standards-Version to 4.4.0 (no changes)
  * Add Build-Depends-Package to symbols file
  * Bump Build-Depends skalibs-dev >= 2.8.0.0
  * Bump SO version to 2.8
  * Move s6lockd-helper from libs6-SOVERSION to s6 package

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 20 Aug 2019 22:56:07 +0800

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/s6
CONFIG_OPT += --with-sysdeps=/usr/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --enable-absolute-paths
CONFIG_OPT += --enable-shared
CONFIG_OPT += --disable-allstatic

%:
	dh $@

override_dh_auto_configure-arch:
	./tools/gen-deps.sh > package/deps.mak
	dh_auto_configure -- $(CONFIG_OPT)

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/s6
	cp -aT doc debian/tmp/usr/share/doc/s6

## s6 2.9.1.0

=== debian/changelog ===
s6 (2.9.1.0-1build1) groovy; urgency=medium

  * No-change rebuild against libexecline2.6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 May 2020 00:52:19 +0000

s6 (2.9.1.0-1) unstable; urgency=medium

  * Update Standards-Version to 4.5.0 (no changes)
  * Remove 0001-fix-library-symlink-referencing.patch.
    Fixed in new version

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 21 Mar 2020 00:08:23 +0800

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: s6
 Section: admin
 Priority: optional
-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
 Build-Depends-Arch:
  libexecline-dev (>= 2.5.0.1),
- skalibs-dev (>= 2.7.0.0),
-Standards-Version: 4.2.1
+ skalibs-dev (>= 2.9.0.0),
+Standards-Version: 4.5.0
 Homepage: https://skarnet.org/software/s6/
 Vcs-Git: https://salsa.debian.org/zhsj/s6.git
 Vcs-Browser: https://salsa.debian.org/zhsj/s6
 
-Package: libs6-2.7
+Package: libs6-2.9
 Architecture: any
 Section: libs
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ s6 (<< 2.8.0.1),
 Description: small and secure supervision software suite (shared library)
  s6 is a small suite of programs for UNIX, designed to allow process
  supervision (a.k.a service supervision), in the line of daemontools and
@@ -36,7 +39,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libs6-2.7 (= ${binary:Version}),
+ libs6-2.9 (= ${binary:Version}),
  ${misc:Depends},
 Description: small and secure supervision software suite (development files)
  s6 is a small suite of programs for UNIX, designed to allow process
@@ -54,6 +57,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ libs6-2.7,
+Replaces:
+ libs6-2.7,
 Recommends:
  execline,
 Description: small and secure supervision software suite

## s6 2.9.2.0

=== debian/changelog ===
s6 (2.9.2.0-1) unstable; urgency=medium

  * New upstream release v2.9.2.0
  * Bump debhelper-compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 17 Jun 2020 10:30:23 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: s6
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Build-Depends-Arch:
  libexecline-dev (>= 2.5.0.1),
  skalibs-dev (>= 2.9.0.0),

## s6 2.10.0.0

=== debian/changelog ===
s6 (2.10.0.0-2) unstable; urgency=medium

  * Upload to unstable
  * Bump libexecline-dev to 2.7.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 21 Jan 2021 15:49:59 +0800

s6 (2.10.0.0-1) experimental; urgency=medium

  * New upstream release v2.10.0.0
  * Bump SO version to 2.10
  * Update Standards-Version to 4.5.1 (no changes)
  * Bump skalibs-dev Build-Depends to 2.10.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 11 Jan 2021 10:44:35 +0800

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- libexecline-dev (>= 2.5.0.1),
- skalibs-dev (>= 2.9.0.0),
-Standards-Version: 4.5.0
+ libexecline-dev (>= 2.7.0.0),
+ skalibs-dev (>= 2.10.0.0),
+Standards-Version: 4.5.1
 Homepage: https://skarnet.org/software/s6/
 Vcs-Git: https://salsa.debian.org/zhsj/s6.git
 Vcs-Browser: https://salsa.debian.org/zhsj/s6
 
-Package: libs6-2.9
+Package: libs6-2.10
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -38,7 +38,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libs6-2.9 (= ${binary:Version}),
+ libs6-2.10 (= ${binary:Version}),
  ${misc:Depends},
 Description: small and secure supervision software suite (development files)
  s6 is a small suite of programs for UNIX, designed to allow process

## s6 2.10.0.1

=== debian/changelog ===
s6 (2.10.0.1-2) unstable; urgency=medium

  * Suggest s6-doc in s6 package (Closes: #981308)
  * Mention s6-doc in s6 package description

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 30 Jan 2021 00:35:02 +0800

s6 (2.10.0.1-1) unstable; urgency=medium

  * New upstream release v2.10.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 26 Jan 2021 01:43:39 +0800

=== debian/control ===
--- 
+++ 
@@ -62,6 +62,8 @@
  libs6-2.7,
 Recommends:
  execline,
+Suggests:
+ s6-doc,
 Description: small and secure supervision software suite
  s6 is a small suite of programs for UNIX, designed to allow process
  supervision (a.k.a service supervision), in the line of daemontools and
@@ -70,6 +72,8 @@
  different sets of independent tools that can be used within or without the
  framework, and that can be assembled together to achieve powerful
  functionality with a very small amount of code.
+ .
+ Documentation is provided in s6-doc package.
 
 Package: s6-doc
 Architecture: all

## s6 2.10.0.2

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,6 @@
 CFLAGS_SHARED :=
 endif
 LDFLAGS_ALL := $(LDFLAGS_AUTO) $(LDFLAGS)
-REALCC = $(CROSS_COMPILE)$(CC)
 AR := $(CROSS_COMPILE)ar
 RANLIB := $(CROSS_COMPILE)ranlib
 STRIP := $(CROSS_COMPILE)strip
@@ -112,10 +111,9 @@
 $(DESTDIR)$(datadir)/%: src/etc/%
 	exec $(INSTALL) -D -m 644 $< $@
 
-$(DESTDIR)$(dynlibdir)/lib%.so: lib%.so.xyzzy
+$(DESTDIR)$(dynlibdir)/lib%.so $(DESTDIR)$(dynlibdir)/lib%.so.$(version_M): lib%.so.xyzzy
 	$(INSTALL) -D -m 755 $< $@.$(version) && \
-	$(INSTALL) -l $(@F).$(version) $@.$(version_m) && \
-	$(INSTALL) -l $(@F).$(version_m) $@.$(version_M) && \
+	$(INSTALL) -l $(@F).$(version) $@.$(version_M) && \
 	exec $(INSTALL) -l $(@F).$(version_M) $@
 
 $(DESTDIR)$(libexecdir)/% $(DESTDIR)$(bindir)/%: % package/modes
@@ -131,20 +129,20 @@
 	exec $(INSTALL) -D -m 644 $< $@
 
 %.o: %.c
-	exec $(REALCC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) -c -o $@ $<
+	exec $(CC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) -c -o $@ $<
 
 %.lo: %.c
-	exec $(REALCC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) $(CFLAGS_SHARED) -c -o $@ $<
+	exec $(CC) $(CPPFLAGS_ALL) $(CFLAGS_ALL) $(CFLAGS_SHARED) -c -o $@ $<
 
 $(ALL_BINS):
-	exec $(REALCC) -o $@ $(CFLAGS_ALL) $(LDFLAGS_ALL) $(LDFLAGS_NOSHARED) $^ $(EXTRA_LIBS) $(LDLIBS)
+	exec $(CC) -o $@ $(CFLAGS_ALL) $(LDFLAGS_ALL) $(LDFLAGS_NOSHARED) $^ $(EXTRA_LIBS) $(LDLIBS)
 
 lib%.a.xyzzy:
 	exec $(AR) rc $@ $^
 	exec $(RANLIB) $@
 
 lib%.so.xyzzy:
-	exec $(REALCC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,$(patsubst lib%.so.xyzzy,lib%.so.$(version_M),$@) $^ $(EXTRA_LIBS) $(LDLIBS)
+	exec $(CC) -o $@ $(CFLAGS_ALL) $(CFLAGS_SHARED) $(LDFLAGS_ALL) $(LDFLAGS_SHARED) -Wl,-soname,$(patsubst lib%.so.xyzzy,lib%.so.$(version_M),$@) $^ $(EXTRA_LIBS) $(LDLIBS)
 
 .PHONY: it all clean distclean tgz strip install install-dynlib install-bin install-lib install-include install-data

=== debian/changelog ===
s6 (2.10.0.2-1.0antix1) unstable; urgency=medium

  * antiX build to ue with 66 

 -- anticapitalista <antix@operamail.com>  Fri, 26 Feb 2021 15:19:32 +0200

s6 (2.10.0.2-1) unstable; urgency=medium

  * New upstream release v2.10.0.2

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 16 Feb 2021 22:50:14 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: s6
 Section: admin
 Priority: optional
-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: anticapitalista <anticapitalista@riseup.net>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
 Build-Depends-Arch:
- libexecline-dev (>= 2.7.0.0),
- skalibs-dev (>= 2.10.0.0),
+ libexecline-dev (>= 2.7.0.1),
+ skalibs-dev (>= 2.10.0.2),
 Standards-Version: 4.5.1
 Homepage: https://skarnet.org/software/s6/
 Vcs-Git: https://salsa.debian.org/zhsj/s6.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG_OPT += --dynlibdir=\$${prefix}/lib
CONFIG_OPT += --libdir=\$${prefix}/lib
CONFIG_OPT += --includedir=\$${prefix}/include
CONFIG_OPT += --libexecdir=\$${prefix}/libex
CONFIG_OPT += --with-sysdeps=/usr/lib/skalibs/sysdeps
CONFIG_OPT += --enable-absolute-paths
CONFIG_OPT += --enable-shared
CONFIG_OPT += --disable-allstatic

%:
	dh $@

override_dh_auto_configure-arch:
	./tools/gen-deps.sh > package/deps.mak
	dh_auto_configure -- $(CONFIG_OPT)

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/s6
	cp -aT doc debian/tmp/usr/share/doc/s6

## s6 2.11.0.0

=== debian/changelog ===
s6 (2.11.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Oct 2021 22:56:06 +0800

s6 (2.11.0.0-1) experimental; urgency=medium

  * New upstream release v2.11.0.0
  * Bump SO version to 2.11

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 27 Sep 2021 03:59:20 +0800

s6 (2.10.0.3-1) unstable; urgency=medium

  * New upstream release v2.10.0.3
  * Update Standards-Version to 4.6.0 (no changes)
  * Bump libexecline-dev to 2.8.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Aug 2021 23:27:31 +0800

## s6 2.11.0.1

=== debian/changelog ===
s6 (2.11.0.1-1) unstable; urgency=medium

  * New upstream release v2.11.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 21 Dec 2021 23:13:50 +0800

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: s6
 Section: admin
 Priority: optional
-Maintainer: anticapitalista <anticapitalista@riseup.net>
+Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Build-Depends-Arch:
- libexecline-dev (>= 2.7.0.1),
- skalibs-dev (>= 2.10.0.2),
-Standards-Version: 4.5.1
+ libexecline-dev (>= 2.8.0.1),
+ skalibs-dev (>= 2.11.0.0),
+Standards-Version: 4.6.0
 Homepage: https://skarnet.org/software/s6/
 Vcs-Git: https://salsa.debian.org/zhsj/s6.git
 Vcs-Browser: https://salsa.debian.org/zhsj/s6
 
-Package: libs6-2.10
+Package: libs6-2.11
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -38,7 +38,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libs6-2.10 (= ${binary:Version}),
+ libs6-2.11 (= ${binary:Version}),
  ${misc:Depends},
 Description: small and secure supervision software suite (development files)
  s6 is a small suite of programs for UNIX, designed to allow process

## s6 2.11.1.0

=== debian/changelog ===
s6 (2.11.1.0-1) unstable; urgency=medium

  * New upstream release v2.11.1.0
  * Bump skalibs-dev to 2.11.2.0

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 11 Mar 2022 22:50:21 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
 Build-Depends-Arch:
  libexecline-dev (>= 2.8.0.1),
- skalibs-dev (>= 2.11.0.0),
+ skalibs-dev (>= 2.11.2.0),
 Standards-Version: 4.6.0
 Homepage: https://skarnet.org/software/s6/
 Vcs-Git: https://salsa.debian.org/zhsj/s6.git

## s6 2.11.1.1

=== Makefile ===
--- 
+++ 
@@ -75,10 +75,10 @@
 
 strip: $(ALL_LIBS) $(ALL_BINS)
 ifneq ($(strip $(STATIC_LIBS)),)
-	exec $(STRIP) -x -R .note -R .comment -R .note.GNU-stack $(STATIC_LIBS)
+	exec $(STRIP) -x -R .note -R .comment $(STATIC_LIBS)
 endif
 ifneq ($(strip $(ALL_BINS)$(SHARED_LIBS)),)
-	exec $(STRIP) -R .note -R .comment -R .note.GNU-stack $(ALL_BINS) $(SHARED_LIBS)
+	exec $(STRIP) -R .note -R .comment $(ALL_BINS) $(SHARED_LIBS)
 endif
 
 install: install-dynlib install-libexec install-bin install-lib install-include

=== debian/changelog ===
s6 (2.11.1.1-1) unstable; urgency=medium

  * New upstream release v2.11.1.1
  * Update Standards-Version to 4.6.1 (no changes)
  * Update skalibs-dev to 2.12.0.0
  * Update libexecline-dev to 2.9.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 15 Jun 2022 23:09:35 +0800

## s6 2.11.1.2

=== debian/changelog ===
s6 (2.11.1.2-1) unstable; urgency=medium

  * New upstream release v2.11.1.2

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Jul 2022 20:45:44 +0800

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- libexecline-dev (>= 2.8.0.1),
- skalibs-dev (>= 2.11.2.0),
-Standards-Version: 4.6.0
+ libexecline-dev (>= 2.9.0.0),
+ skalibs-dev (>= 2.12.0.0),
+Standards-Version: 4.6.1
 Homepage: https://skarnet.org/software/s6/
 Vcs-Git: https://salsa.debian.org/zhsj/s6.git
 Vcs-Browser: https://salsa.debian.org/zhsj/s6

## s6 2.11.2.0

=== debian/changelog ===
s6 (2.11.2.0-1) unstable; urgency=medium

  * New upstream release v2.11.2.0
  * Update Standards-Version to 4.6.2 (no changes)
  * Bump skalibs-dev to 2.13.0.0
  * Not install libs6auto. It's statically linked.
  * Update libs6 symbols

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 17 Jan 2023 14:44:52 +0800

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  debhelper-compat (= 13),
 Build-Depends-Arch:
  libexecline-dev (>= 2.9.0.0),
- skalibs-dev (>= 2.12.0.0),
-Standards-Version: 4.6.1
+ skalibs-dev (>= 2.13.0.0),
+Standards-Version: 4.6.2
 Homepage: https://skarnet.org/software/s6/
 Vcs-Git: https://salsa.debian.org/zhsj/s6.git
 Vcs-Browser: https://salsa.debian.org/zhsj/s6

## s6 2.11.3.0

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,6 @@
 
 STATIC_LIBS :=
 SHARED_LIBS :=
-INTERNAL_LIBS :=
 EXTRA_TARGETS :=
 LIB_DEFS :=

=== debian/changelog ===
s6 (2.11.3.0-1) unstable; urgency=medium

  * New upstream release v2.11.3.0
  * Bump skalibs-dev to 2.13.1.0
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 18 Feb 2023 21:55:25 +0800

## s6 2.11.3.2

=== debian/changelog ===
s6 (2.11.3.2-1) unstable; urgency=medium

  * New upstream release v2.11.3.2

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 05 Apr 2023 23:01:01 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
 Build-Depends-Arch:
  libexecline-dev (>= 2.9.0.0),
- skalibs-dev (>= 2.13.0.0),
+ skalibs-dev (>= 2.13.1.0),
 Standards-Version: 4.6.2
 Homepage: https://skarnet.org/software/s6/
 Vcs-Git: https://salsa.debian.org/zhsj/s6.git

## s6 2.12.0.0

=== debian/changelog ===
s6 (2.12.0.0-2) unstable; urgency=medium

  * Source only upload for testing migration

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Nov 2023 05:49:58 +0800

s6 (2.12.0.0-1) unstable; urgency=medium

  * New upstream release v2.12.0.0
  * Bump SO version to 2.12
  * Bump skalibs-dev to 2.14.0.0
  * Refresh symbols file

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 07 Nov 2023 04:46:46 +0800

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  debhelper-compat (= 13),
 Build-Depends-Arch:
  libexecline-dev (>= 2.9.0.0),
- skalibs-dev (>= 2.13.1.0),
+ skalibs-dev (>= 2.14.0.0),
 Standards-Version: 4.6.2
 Homepage: https://skarnet.org/software/s6/
 Vcs-Git: https://salsa.debian.org/zhsj/s6.git
 Vcs-Browser: https://salsa.debian.org/zhsj/s6
 
-Package: libs6-2.11
+Package: libs6-2.12
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -38,7 +38,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libs6-2.11 (= ${binary:Version}),
+ libs6-2.12 (= ${binary:Version}),
  ${misc:Depends},
 Description: small and secure supervision software suite (development files)
  s6 is a small suite of programs for UNIX, designed to allow process

## s6 2.12.0.3

=== debian/changelog ===
s6 (2.12.0.3-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:21:39 +1100

s6 (2.12.0.3-1) unstable; urgency=medium

  * New upstream release v2.12.0.3
  * Bump skalibs-dev to 2.14.1.1

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Mar 2024 00:35:44 +0800

s6 (2.12.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062877

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:39:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,26 @@
 Source: s6
 Section: admin
 Priority: optional
-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
 Build-Depends-Arch:
+ dpkg-dev (>= 1.22.5),
  libexecline-dev (>= 2.9.0.0),
- skalibs-dev (>= 2.14.0.0),
+ skalibs-dev (>= 2.14.1.1),
 Standards-Version: 4.6.2
 Homepage: https://skarnet.org/software/s6/
 Vcs-Git: https://salsa.debian.org/zhsj/s6.git
 Vcs-Browser: https://salsa.debian.org/zhsj/s6
 
-Package: libs6-2.12
+Package: libs6-2.12t64
+Provides:
+ ${t64:Provides},
+Replaces:
+ libs6-2.12,
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -21,6 +28,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
+ libs6-2.12 (<< ${source:Version}),
  s6 (<< 2.8.0.1),
 Description: small and secure supervision software suite (shared library)
  s6 is a small suite of programs for UNIX, designed to allow process
@@ -38,7 +46,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libs6-2.12 (= ${binary:Version}),
+ libs6-2.12t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: small and secure supervision software suite (development files)
  s6 is a small suite of programs for UNIX, designed to allow process

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
git://git.skarnet.org/s6 \
refs/tags/v([\d\.]+)

## s6 2.12.0.4

=== debian/changelog ===
s6 (2.12.0.4-1.0antix1) unstable; urgency=medium

  * antiX build from Prowler_Gr@yahoo.gr repo 

 -- anticapitalista <antix@operamail.com>  Fri, 10 May 2024 18:16:14 +0300

s6 (2.12.0.3experimental1-1) UNRELEASED; urgency=medium

  * Compiled from upstream

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com>  Fri, 26 Jan 2024 22:22:22 +1000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,19 @@
 Source: s6
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Shengjing Zhu <zhsj@debian.org>
+Maintainer: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- dpkg-dev (>= 1.22.5),
 Build-Depends-Arch:
- dpkg-dev (>= 1.22.5),
  libexecline-dev (>= 2.9.0.0),
- skalibs-dev (>= 2.14.1.1),
+ skalibs-dev (>= 2.14.0.0),
 Standards-Version: 4.6.2
 Homepage: https://skarnet.org/software/s6/
 Vcs-Git: https://salsa.debian.org/zhsj/s6.git
 Vcs-Browser: https://salsa.debian.org/zhsj/s6
 
-Package: libs6-2.12t64
-Provides:
- ${t64:Provides},
-Replaces:
- libs6-2.12,
+Package: libs6-2.12
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -28,7 +21,6 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- libs6-2.12 (<< ${source:Version}),
  s6 (<< 2.8.0.1),
 Description: small and secure supervision software suite (shared library)
  s6 is a small suite of programs for UNIX, designed to allow process
@@ -46,7 +38,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libs6-2.12t64 (= ${binary:Version}),
+ libs6-2.12 (= ${binary:Version}),
  ${misc:Depends},
 Description: small and secure supervision software suite (development files)
  s6 is a small suite of programs for UNIX, designed to allow process

## s6 2.13.0.0

=== debian/changelog ===
s6 (2.13.0.0-2) unstable; urgency=medium

  * Update Standards-Version to 4.7.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 19 Jun 2024 16:06:50 +0800

s6 (2.13.0.0-1) unstable; urgency=medium

  * New upstream release v2.13.0.0
  * Bump SO version to 2.13, drop t64 suffix
  * Bump skalibs-dev to 2.14.2.0

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 15 Jun 2024 17:11:48 +0800

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: s6
 Section: admin
 Priority: optional
-Maintainer: Prowler_Gr@yahoo.gr <Prowler73@gmail.com>
+Maintainer: Shengjing Zhu <zhsj@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
 Build-Depends-Arch:
  libexecline-dev (>= 2.9.0.0),
- skalibs-dev (>= 2.14.0.0),
-Standards-Version: 4.6.2
+ skalibs-dev (>= 2.14.2.0),
+Standards-Version: 4.7.0
 Homepage: https://skarnet.org/software/s6/
 Vcs-Git: https://salsa.debian.org/zhsj/s6.git
 Vcs-Browser: https://salsa.debian.org/zhsj/s6
 
-Package: libs6-2.12
+Package: libs6-2.13
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -38,7 +39,7 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libs6-2.12 (= ${binary:Version}),
+ libs6-2.13 (= ${binary:Version}),
  ${misc:Depends},
 Description: small and secure supervision software suite (development files)
  s6 is a small suite of programs for UNIX, designed to allow process

## s6 2.13.1.0

=== debian/changelog ===
s6 (2.13.1.0-1) unstable; urgency=medium

  * New upstream release v2.13.1.0
  * Bump skalibs-dev to 2.14.3.0

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 10 Oct 2024 03:36:28 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dpkg-dev (>= 1.22.5),
 Build-Depends-Arch:
  libexecline-dev (>= 2.9.0.0),
- skalibs-dev (>= 2.14.2.0),
+ skalibs-dev (>= 2.14.3.0),
 Standards-Version: 4.7.0
 Homepage: https://skarnet.org/software/s6/
 Vcs-Git: https://salsa.debian.org/zhsj/s6.git

=== debian/tests/control ===
Tests: svscan
Restrictions: allow-stderr

## s6 2.13.2.0

=== debian/changelog ===
s6 (2.13.2.0-0antix1) unstable; urgency=medium

  * New upstream release v2.13.2.0.

 -- anticapitalista <antix@operamail.com>  Sat, 14 Sep 2024 16:17:10 +0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- dpkg-dev (>= 1.22.5),
+ dpkg-dev (>= 1.21.22),
 Build-Depends-Arch:
  libexecline-dev (>= 2.9.0.0),
  skalibs-dev (>= 2.14.3.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG_OPT += --dynlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH)
CONFIG_OPT += --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/s6
CONFIG_OPT += --with-sysdeps=/usr/lib/$(DEB_HOST_MULTIARCH)/skalibs/sysdeps
CONFIG_OPT += --enable-absolute-paths
CONFIG_OPT += --enable-shared
CONFIG_OPT += --disable-allstatic

%:
	dh $@

override_dh_auto_configure-arch:
	./tools/gen-deps.sh > package/deps.mak
	dh_auto_configure -- $(CONFIG_OPT)

execute_after_dh_auto_install-arch:
	$(RM) $(wildcard debian/tmp/usr/lib/*/libs6auto.*)

override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:
	mkdir -p debian/tmp/usr/share/doc/s6
	cp -aT doc debian/tmp/usr/share/doc/s6
